#ifndef VY_THREADING_H
#define VY_THREADING_H

/* platform independent threading */

#include <stdbool.h>

typedef struct vy_mutex_s vy_mutex;

vy_mutex *vyCreateMutex(void);

void vyDestroyMutex(vy_mutex *mutex);

bool vyLockMutex(vy_mutex *mutex);

bool vyUnlockMutex(vy_mutex *mutex);

#endif
