#ifndef VY_VOYAGE_H
#define VY_VOYAGE_H

/* basic types and macros */

#include <stddef.h>

#define VY_UNUSED(x) ((void)sizeof((x)))
#define VY_ARRAY_COUNT(x) (sizeof((x)) / sizeof((x)[0]))

typedef struct {
    const char *start;
    unsigned int length;
} vy_text_span;

void vyReportError(const char *subsystem, const char *fmt, ...);

void vyLog(const char *subsystem, const char *fmt, ...);

#endif
